/*
数字認識テスト

*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include "number.h"

int test_number(){
	int count =1;
	int number_l=-1, number_r=-1;
	int ret_val;
	int dist; //数字ボードまでの距離
	int cam;  //カメラ番号
	int nums = 1 ; //ボード上の数字の数（1 または 2） 
	int number[2];

	printf("数字認識テストプログラムスタート！\n");

	printf("数字認識ボードまでの距離[cm] = ");
	ret_val=scanf("%d",&dist);
	printf("カメラナンバー[0-2] = ");
	ret_val=scanf("%d",&cam);

	number_set_nums(nums);

	while(1){		//無限ループ

		ret_val=number_detect((cam == 2)?20:dist, cam); //数字認識
		//number_get(&number_l, &number_r);
		number_get(number);

		if(nums == 1){
			number_l = number[0];
			printf("%d 回目：数字=%d\n",count, number_l);
			if(number_l == -1){		//画像認識失敗で再画像認識ループへ
				count++; // 再度画像処理
			}else{
				printf("画像認識完了しました\n");
				break;
			}
		}

		if(nums ==2){
			number_l = number[0];
			number_r = number[1];
			printf("%d 回目：左数字=%d、右数字=%d\n",count, number_l, number_r);

			if(number_l == -1 || number_r == -1){		//画像認識失敗で再画像認識ループへ
				count++; // 再度画像処理
			}else{
				printf("画像認識完了しました\n");
				break;
			}
		}

		if(count>10){
			printf("数字認識に%d回失敗しました。\n",count-1);
			return -1;
		}

		//printf("メイン一周終了\n");
		usleep(1*1000*1000); //一秒待つ

	}

	printf("メインwhileの終了\n");
	return 0;
}
